Договори: методи API Bimp
Методи API Bimp для ресурсу «Договори» (/org2/contract/…): 6 методів. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.
| Метод | Що робить |
|---|---|
POST /org2/contract/api-read | A request to obtain detailed information for a particular contract |
POST /org2/contract/api-readTypes | A request to obtain detailed information about contract types |
POST /org2/contract/api-readStatuses | A request to obtain detailed information about contract statuses |
POST /org2/contract/api-readList | A request to view a list of users contracts |
POST /org2/contract/api-create | A request to create a new user contract |
POST /org2/contract/api-update | A request to update user contract |
api-read
POST /org2/contract/api-read
A request to obtain detailed information for a particular contract
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for user contract |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) | A unique uuid key for user`s contract |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
counterparty | string (uuid) | A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request |
comment | string | An optional text field for any additional notes or comments related to the document |
name | string | Contract name |
number | string | The contract number |
printName | string | Printable name |
code | string | |
lineOfBusiness | string (uuid) | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
project | string (uuid) | A unique identifier for the Project, obtainable from the /project/api-readList request |
priceList | string (uuid) | A unique identifier for the Price List, obtainable from the /priceList/api-readList request |
main | boolean | |
manager | string (uuid) | A unique identifier for the Manager, obtainable from the /user/api-readList request |
currency | string (uuid) | A unique identifier for the Currency, obtainable from the /currency/api-readList request |
status | string (uuid) | |
contractType | number | A code for the Contract type, obtainable from the /contract/api-readTypes request |
currencyRateSource | number | |
сurrencyRateCalculationPercentage | number |
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-read' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-readTypes
POST /org2/contract/api-readTypes
A request to obtain detailed information about contract types
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
[].uuid | string (uuid) | |
[].name | string | |
[].code | number |
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-readTypes' \
-H 'access-token: <токен компанії>'
api-readStatuses
POST /org2/contract/api-readStatuses
A request to obtain detailed information about contract statuses
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
[].uuid | string (uuid) | |
[].name | string |
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-readStatuses' \
-H 'access-token: <токен компанії>'
api-readList
POST /org2/contract/api-readList
A request to view a list of users contracts
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
[].uuid | string (uuid) | |
[].name | string | |
[].number | string | The contract number |
[].isMain | boolean | |
[].counterparty | object | |
[].counterparty.name | string | |
[].counterparty.uuid | string (uuid) | |
[].currency | object | |
[].currency.name | string | |
[].currency.uuid | string (uuid) | |
[].settlementType | object | |
[].settlementType.name | string | |
[].settlementType.uuid | string (uuid) | |
[].status | object | |
[].status.name | string | |
[].status.uuid | string (uuid) | |
[].project | object | |
[].project.name | string | |
[].project.uuid | string (uuid) | |
[].contractType | object | |
[].contractType.name | string | |
[].contractType.uuid | string (uuid) | |
[].contractType.code | string |
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-readList' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{}'
api-create
POST /org2/contract/api-create
A request to create a new user contract
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
name | string | так | Contract name |
counterparty | string (uuid) | так | A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request |
lineOfBusiness | string (uuid) | так | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
organization | string (uuid) | так | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
project | string (uuid) | так | A unique identifier for the Project, obtainable from the /project/api-readList request |
currency | string (uuid) | так | A unique identifier for the Currency, obtainable from the /currency/api-readList request |
contractType | number | так | A code for the Contract type, obtainable from the /contract/api-readTypes request |
comment | string | An optional text field for any additional notes or comments related to the document | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
priceList | string (uuid) | A unique identifier for the Price List, obtainable from the /priceList/api-readList request | |
manager | string (uuid) | A unique identifier for the Manager, obtainable from the /user/api-readList request | |
status | string (uuid) | ||
number | string | The contract number |
Відповідь: поле data
| Поле | Тип | Опис |
|---|---|---|
uuid | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-create' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"name":"string","counterparty":"00000000-0000-0000-0000-000000000000","lineOfBusiness":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","project":"00000000-0000-0000-0000-000000000000","currency":"00000000-0000-0000-0000-000000000000","contractType":1}'
api-update
POST /org2/contract/api-update
A request to update user contract
Тіло запиту (JSON)
| Поле | Тип | Обов’язкове | Опис |
|---|---|---|---|
uuid | string (uuid) | так | A unique uuid key for user`s contract |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
counterparty | string (uuid) | A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request | |
comment | string | An optional text field for any additional notes or comments related to the document | |
name | string | Contract name | |
number | string | The contract number | |
printName | string | Printable name | |
code | string | ||
lineOfBusiness | string (uuid) | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request | |
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request | |
project | string (uuid) | A unique identifier for the Project, obtainable from the /project/api-readList request | |
priceList | string (uuid) | A unique identifier for the Price List, obtainable from the /priceList/api-readList request | |
manager | string (uuid) | A unique identifier for the Manager, obtainable from the /user/api-readList request | |
currency | string (uuid) | A unique identifier for the Currency, obtainable from the /currency/api-readList request | |
status | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/contract/api-update' \
-H 'access-token: <токен компанії>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.